Package org.apache.struts2.convention.config.entities

# Class ConventionConstantConfig

java.lang.Object
org.apache.struts2.config.entities.ConstantConfig
org.apache.struts2.convention.config.entities.ConventionConstantConfig

public class ConventionConstantConfig extends ConstantConfig

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConventionConstantConfig()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Map<String,String>`
  `getAllAsStringsMap()`
  `Boolean`
  `getConventionActionAlwaysMapExecute()`
  `Boolean`
  `getConventionActionCheckImplementsAction()`
  `BeanConfig`
  `getConventionActionConfigBuilder()`
  `Boolean`
  `getConventionActionDisableScanning()`
  `Boolean`
  `getConventionActionEagerLoading()`
  `Set<String>`
  `getConventionActionFileProtocols()`
  `List<String>`
  `getConventionActionIncludeJars()`
  `Boolean`
  `getConventionActionMapAllMatches()`
  `BeanConfig`
  `getConventionActionNameBuilder()`
  `Boolean`
  `getConventionActionNameLowercase()`
  `String`
  `getConventionActionNameSeparator()`
  `List<String>`
  `getConventionActionPackages()`
  `Set<String>`
  `getConventionActionSuffix()`
  `Boolean`
  `getConventionClassesReload()`
  `BeanConfig`
  `getConventionConventionsService()`
  `String`
  `getConventionDefaultParentPackage()`
  `Boolean`
  `getConventionEnableSmiInheritance()`
  `List<String>`
  `getConventionExcludePackages()`
  `Boolean`
  `getConventionExcludeParentClassLoader()`
  `BeanConfig`
  `getConventionInterceptorMapBuilder()`
  `List<String>`
  `getConventionPackageLocators()`
  `String`
  `getConventionPackageLocatorsBasePackage()`
  `Boolean`
  `getConventionPackageLocatorsDisable()`
  `Boolean`
  `getConventionRedirectToSlash()`
  `Set<String>`
  `getConventionRelativeResultTypes()`
  `Boolean`
  `getConventionResultFlatLayout()`
  `BeanConfig`
  `getConventionResultMapBuilder()`
  `String`
  `getConventionResultPath()`
  `void`
  `setConventionActionAlwaysMapExecute(Boolean conventionActionAlwaysMapExecute)`
  `void`
  `setConventionActionCheckImplementsAction(Boolean conventionActionCheckImplementsAction)`
  `void`
  `setConventionActionConfigBuilder(Class<?> clazz)`
  `void`
  `setConventionActionConfigBuilder(BeanConfig conventionActionConfigBuilder)`
  `void`
  `setConventionActionDisableScanning(Boolean conventionActionDisableScanning)`
  `void`
  `setConventionActionEagerLoading(Boolean conventionActionEagerLoading)`
  `void`
  `setConventionActionFileProtocols(Set<String> conventionActionFileProtocols)`
  `void`
  `setConventionActionIncludeJars(List<String> conventionActionIncludeJars)`
  `void`
  `setConventionActionMapAllMatches(Boolean conventionActionMapAllMatches)`
  `void`
  `setConventionActionNameBuilder(Class<?> clazz)`
  `void`
  `setConventionActionNameBuilder(BeanConfig conventionActionNameBuilder)`
  `void`
  `setConventionActionNameLowercase(Boolean conventionActionNameLowercase)`
  `void`
  `setConventionActionNameSeparator(String conventionActionNameSeparator)`
  `void`
  `setConventionActionPackages(List<String> conventionActionPackages)`
  `void`
  `setConventionActionSuffix(Set<String> conventionActionSuffix)`
  `void`
  `setConventionClassesReload(Boolean conventionClassesReload)`
  `void`
  `setConventionConventionsService(Class<?> clazz)`
  `void`
  `setConventionConventionsService(BeanConfig conventionConventionsService)`
  `void`
  `setConventionDefaultParentPackage(String conventionDefaultParentPackage)`
  `void`
  `setConventionEnableSmiInheritance(Boolean conventionEnableSmiInheritance)`
  `void`
  `setConventionExcludePackages(List<String> conventionExcludePackages)`
  `void`
  `setConventionExcludeParentClassLoader(Boolean conventionExcludeParentClassLoader)`
  `void`
  `setConventionInterceptorMapBuilder(Class<?> clazz)`
  `void`
  `setConventionInterceptorMapBuilder(BeanConfig conventionInterceptorMapBuilder)`
  `void`
  `setConventionPackageLocators(List<String> conventionPackageLocators)`
  `void`
  `setConventionPackageLocatorsBasePackage(String conventionPackageLocatorsBasePackage)`
  `void`
  `setConventionPackageLocatorsDisable(Boolean conventionPackageLocatorsDisable)`
  `void`
  `setConventionRedirectToSlash(Boolean conventionRedirectToSlash)`
  `void`
  `setConventionRelativeResultTypes(Set<String> conventionRelativeResultTypes)`
  `void`
  `setConventionResultFlatLayout(Boolean conventionResultFlatLayout)`
  `void`
  `setConventionResultMapBuilder(Class<?> clazz)`
  `void`
  `setConventionResultMapBuilder(BeanConfig conventionResultMapBuilder)`
  `void`
  `setConventionResultPath(String conventionResultPath)`

  ### Methods inherited from class org.apache.struts2.config.entities.ConstantConfig

  `beanConfToString, getAcceptedPatternsChecker, getActionConfigFallbackToEmptyNamespace, getActionExcludePattern, getActionExtension, getActionProxyFactory, getActionValidatorManager, getAdditionalAcceptedPatterns, getAdditionalExcludedPatterns, getAllowedActionNames, getAllowedMethodNames, getBeaninfoCacheFactory, getConfigurationXmlReload, getContentTypeMatcher, getConverterAnnotationProcessor, getConverterArray, getConverterCollection, getConverterCreator, getConverterDate, getConverterFileProcessor, getConverterHolder, getConverterNumber, getConverterPropertiesProcessor, getConverterString, getCustomI18nResources, getCustomProperties, getDefaultActionName, getDefaultMethodName, getDevMode, getDevModeExcludedClasses, getDevModeExcludedPackageExemptClasses, getDevModeExcludedPackageNamePatterns, getDevModeExcludedPackageNames, getDisableRequestAttributeValueStackLookup, getDisallowProxyMemberAccess, getDisallowProxyObjectAccess, getDispatcherErrorHandler, getDispatcherParametersWorkaround, getElThrowExceptionOnFailure, getEnableDynamicMethodInvocation, getEnableSlashesInActionNames, getExcludedClasses, getExcludedPackageExemptClasses, getExcludedPackageNamePatterns, getExcludedPackageNames, getExcludedPatternsChecker, getExpressionCacheFactory, getExpressionParser, getFreemarkerBeanwrapperCache, getFreemarkerManagerClassname, getFreemarkerMruMaxStrongSize, getFreemarkerTemplatesCacheUpdateDelay, getFreemarkerWrapperAltMap, getHandleException, getI18nEncoding, getI18nReload, getLocale, getLocaleProviderFactory, getLocalizedTextProvider, getMapperActionPrefixCrossNamespaces, getMapperActionPrefixEnabled, getMapperAlwaysSelectFullNamespace, getMapperClass, getMapperComposite, getMapperIdParameterName, getMapperPrefixMapping, getMultipartBufferSize, getMultipartEnabled, getMultipartMaxFiles, getMultipartMaxFileSize, getMultipartMaxSize, getMultipartMaxStringLength, getMultipartParser, getMultipartSaveDir, getMultipartValidationRegex, getNotExcludedAcceptedPatternsChecker, getObjectFactory, getObjectFactoryActionFactory, getObjectFactoryConverterFactory, getObjectFactoryInterceptorFactory, getObjectFactoryResultFactory, getObjectFactorySpringAutoWire, getObjectFactorySpringAutoWireAlwaysRespect, getObjectFactorySpringEnableAopSupport, getObjectFactorySpringUseClassCache, getObjectFactoryUnknownHandlerFactory, getObjectFactoryValidatorFactory, getObjectTypeDeterminer, getOgnlAllowStaticFieldAccess, getOgnlAutoGrowthCollectionLimit, getOgnlEnableEvalExpression, getOgnlEnableExpressionCache, getOgnlLogMissingProperties, getOverrideAcceptedPatterns, getOverrideExcludedPatterns, getPatternMatcher, getReflectionContextFactory, getReflectionProvider, getServeStatic, getServeStaticBrowserCache, getStaticContentLoader, getStaticContentPath, getStrictMethodInvocationMethodRegex, getTextProviderFactory, getUiTemplateDir, getUiTemplateSuffix, getUiTheme, getUiThemeExpansionToken, getUnknownHandlerManager, getUrlHttpPort, getUrlHttpsPort, getUrlIncludeParams, getUrlRenderer, getValueStackFactory, getVelocityConfigfile, getVelocityContexts, getVelocityManagerClassname, getVelocityToolboxlocation, getViewUrlHelper, getXsltNocache, getXworkConverter, setAcceptedPatternsChecker, setAcceptedPatternsChecker, setActionConfigFallbackToEmptyNamespace, setActionExcludePattern, setActionExtension, setActionProxyFactory, setActionProxyFactory, setActionValidatorManager, setActionValidatorManager, setAdditionalAcceptedPatterns, setAdditionalExcludedPatterns, setAllowedActionNames, setAllowedMethodNames, setBeaninfoCacheFactory, setBeaninfoCacheFactory, setConfigurationXmlReload, setContentTypeMatcher, setContentTypeMatcher, setConverterAnnotationProcessor, setConverterAnnotationProcessor, setConverterArray, setConverterArray, setConverterCollection, setConverterCollection, setConverterCreator, setConverterCreator, setConverterDate, setConverterDate, setConverterFileProcessor, setConverterFileProcessor, setConverterHolder, setConverterHolder, setConverterNumber, setConverterNumber, setConverterPropertiesProcessor, setConverterPropertiesProcessor, setConverterString, setConverterString, setCustomI18nResources, setCustomProperties, setDefaultActionName, setDefaultMethodName, setDevMode, setDevModeExcludedClasses, setDevModeExcludedPackageExemptClasses, setDevModeExcludedPackageNamePatterns, setDevModeExcludedPackageNames, setDisableRequestAttributeValueStackLookup, setDisallowProxyMemberAccess, setDisallowProxyObjectAccess, setDispatcherErrorHandler, setDispatcherErrorHandler, setDispatcherParametersWorkaround, setElThrowExceptionOnFailure, setEnableDynamicMethodInvocation, setEnableSlashesInActionNames, setExcludedClasses, setExcludedPackageExemptClasses, setExcludedPackageNamePatterns, setExcludedPackageNames, setExcludedPatternsChecker, setExcludedPatternsChecker, setExpressionCacheFactory, setExpressionCacheFactory, setExpressionParser, setExpressionParser, setFreemarkerBeanwrapperCache, setFreemarkerManagerClassname, setFreemarkerManagerClassname, setFreemarkerMruMaxStrongSize, setFreemarkerTemplatesCacheUpdateDelay, setFreemarkerWrapperAltMap, setHandleException, setI18nEncoding, setI18nReload, setLocale, setLocaleProviderFactory, setLocaleProviderFactory, setLocalizedTextProvider, setLocalizedTextProvider, setMapperActionPrefixCrossNamespaces, setMapperActionPrefixEnabled, setMapperAlwaysSelectFullNamespace, setMapperClass, setMapperClass, setMapperComposite, setMapperIdParameterName, setMapperPrefixMapping, setMultipartBufferSize, setMultipartEnabled, setMultipartMaxFiles, setMultipartMaxFileSize, setMultipartMaxSize, setMultipartMaxStringLength, setMultipartParser, setMultipartParser, setMultipartSaveDir, setMultipartValidationRegex, setNotExcludedAcceptedPatternsChecker, setNotExcludedAcceptedPatternsChecker, setObjectFactory, setObjectFactory, setObjectFactoryActionFactory, setObjectFactoryActionFactory, setObjectFactoryConverterFactory, setObjectFactoryConverterFactory, setObjectFactoryInterceptorFactory, setObjectFactoryInterceptorFactory, setObjectFactoryResultFactory, setObjectFactoryResultFactory, setObjectFactorySpringAutoWire, setObjectFactorySpringAutoWireAlwaysRespect, setObjectFactorySpringEnableAopSupport, setObjectFactorySpringUseClassCache, setObjectFactoryUnknownHandlerFactory, setObjectFactoryUnknownHandlerFactory, setObjectFactoryValidatorFactory, setObjectFactoryValidatorFactory, setObjectTypeDeterminer, setObjectTypeDeterminer, setOgnlAllowStaticFieldAccess, setOgnlAutoGrowthCollectionLimit, setOgnlEnableEvalExpression, setOgnlEnableExpressionCache, setOgnlLogMissingProperties, setOverrideAcceptedPatterns, setOverrideExcludedPatterns, setPatternMatcher, setPatternMatcher, setReflectionContextFactory, setReflectionContextFactory, setReflectionProvider, setReflectionProvider, setServeStatic, setServeStaticBrowserCache, setStaticContentLoader, setStaticContentLoader, setStaticContentPath, setStrictMethodInvocationMethodRegex, setTextProviderFactory, setTextProviderFactory, setUiTemplateDir, setUiTemplateSuffix, setUiTheme, setUiThemeExpansionToken, setUnknownHandlerManager, setUnknownHandlerManager, setUrlHttpPort, setUrlHttpsPort, setUrlIncludeParams, setUrlRenderer, setUrlRenderer, setValueStackFactory, setValueStackFactory, setVelocityConfigfile, setVelocityContexts, setVelocityManagerClassname, setVelocityManagerClassname, setVelocityToolboxlocation, setViewUrlHelper, setViewUrlHelper, setXsltNocache, setXworkConverter, setXworkConverter`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ConventionConstantConfig

    public ConventionConstantConfig()

- ## Method Details

  - ### getAllAsStringsMap

    public Map<String,String> getAllAsStringsMap()
    Overrides:
      `getAllAsStringsMap` in class `ConstantConfig`

  - ### getConventionActionConfigBuilder

    public BeanConfig getConventionActionConfigBuilder()

  - ### setConventionActionConfigBuilder

    public void setConventionActionConfigBuilder(BeanConfig conventionActionConfigBuilder)

  - ### setConventionActionConfigBuilder

    public void setConventionActionConfigBuilder(Class<?> clazz)

  - ### getConventionActionNameBuilder

    public BeanConfig getConventionActionNameBuilder()

  - ### setConventionActionNameBuilder

    public void setConventionActionNameBuilder(BeanConfig conventionActionNameBuilder)

  - ### setConventionActionNameBuilder

    public void setConventionActionNameBuilder(Class<?> clazz)

  - ### getConventionResultMapBuilder

    public BeanConfig getConventionResultMapBuilder()

  - ### setConventionResultMapBuilder

    public void setConventionResultMapBuilder(BeanConfig conventionResultMapBuilder)

  - ### setConventionResultMapBuilder

    public void setConventionResultMapBuilder(Class<?> clazz)

  - ### getConventionInterceptorMapBuilder

    public BeanConfig getConventionInterceptorMapBuilder()

  - ### setConventionInterceptorMapBuilder

    public void setConventionInterceptorMapBuilder(BeanConfig conventionInterceptorMapBuilder)

  - ### setConventionInterceptorMapBuilder

    public void setConventionInterceptorMapBuilder(Class<?> clazz)

  - ### getConventionConventionsService

    public BeanConfig getConventionConventionsService()

  - ### setConventionConventionsService

    public void setConventionConventionsService(BeanConfig conventionConventionsService)

  - ### setConventionConventionsService

    public void setConventionConventionsService(Class<?> clazz)

  - ### getConventionActionNameLowercase

    public Boolean getConventionActionNameLowercase()

  - ### setConventionActionNameLowercase

    public void setConventionActionNameLowercase(Boolean conventionActionNameLowercase)

  - ### getConventionActionNameSeparator

    public String getConventionActionNameSeparator()

  - ### setConventionActionNameSeparator

    public void setConventionActionNameSeparator(String conventionActionNameSeparator)

  - ### getConventionActionSuffix

    public Set<String> getConventionActionSuffix()

  - ### setConventionActionSuffix

    public void setConventionActionSuffix(Set<String> conventionActionSuffix)

  - ### getConventionClassesReload

    public Boolean getConventionClassesReload()

  - ### setConventionClassesReload

    public void setConventionClassesReload(Boolean conventionClassesReload)

  - ### getConventionResultPath

    public String getConventionResultPath()

  - ### setConventionResultPath

    public void setConventionResultPath(String conventionResultPath)

  - ### getConventionDefaultParentPackage

    public String getConventionDefaultParentPackage()

  - ### setConventionDefaultParentPackage

    public void setConventionDefaultParentPackage(String conventionDefaultParentPackage)

  - ### getConventionRedirectToSlash

    public Boolean getConventionRedirectToSlash()

  - ### setConventionRedirectToSlash

    public void setConventionRedirectToSlash(Boolean conventionRedirectToSlash)

  - ### getConventionRelativeResultTypes

    public Set<String> getConventionRelativeResultTypes()

  - ### setConventionRelativeResultTypes

    public void setConventionRelativeResultTypes(Set<String> conventionRelativeResultTypes)

  - ### getConventionExcludeParentClassLoader

    public Boolean getConventionExcludeParentClassLoader()

  - ### setConventionExcludeParentClassLoader

    public void setConventionExcludeParentClassLoader(Boolean conventionExcludeParentClassLoader)

  - ### getConventionActionAlwaysMapExecute

    public Boolean getConventionActionAlwaysMapExecute()

  - ### setConventionActionAlwaysMapExecute

    public void setConventionActionAlwaysMapExecute(Boolean conventionActionAlwaysMapExecute)

  - ### getConventionActionFileProtocols

    public Set<String> getConventionActionFileProtocols()

  - ### setConventionActionFileProtocols

    public void setConventionActionFileProtocols(Set<String> conventionActionFileProtocols)

  - ### getConventionActionDisableScanning

    public Boolean getConventionActionDisableScanning()

  - ### setConventionActionDisableScanning

    public void setConventionActionDisableScanning(Boolean conventionActionDisableScanning)

  - ### getConventionActionIncludeJars

    public List<String> getConventionActionIncludeJars()

  - ### setConventionActionIncludeJars

    public void setConventionActionIncludeJars(List<String> conventionActionIncludeJars)

  - ### getConventionPackageLocatorsDisable

    public Boolean getConventionPackageLocatorsDisable()

  - ### setConventionPackageLocatorsDisable

    public void setConventionPackageLocatorsDisable(Boolean conventionPackageLocatorsDisable)

  - ### getConventionActionPackages

    public List<String> getConventionActionPackages()

  - ### setConventionActionPackages

    public void setConventionActionPackages(List<String> conventionActionPackages)

  - ### getConventionActionCheckImplementsAction

    public Boolean getConventionActionCheckImplementsAction()

  - ### setConventionActionCheckImplementsAction

    public void setConventionActionCheckImplementsAction(Boolean conventionActionCheckImplementsAction)

  - ### getConventionExcludePackages

    public List<String> getConventionExcludePackages()

  - ### setConventionExcludePackages

    public void setConventionExcludePackages(List<String> conventionExcludePackages)

  - ### getConventionPackageLocators

    public List<String> getConventionPackageLocators()

  - ### setConventionPackageLocators

    public void setConventionPackageLocators(List<String> conventionPackageLocators)

  - ### getConventionPackageLocatorsBasePackage

    public String getConventionPackageLocatorsBasePackage()

  - ### setConventionPackageLocatorsBasePackage

    public void setConventionPackageLocatorsBasePackage(String conventionPackageLocatorsBasePackage)

  - ### getConventionActionMapAllMatches

    public Boolean getConventionActionMapAllMatches()

  - ### setConventionActionMapAllMatches

    public void setConventionActionMapAllMatches(Boolean conventionActionMapAllMatches)

  - ### getConventionActionEagerLoading

    public Boolean getConventionActionEagerLoading()

  - ### setConventionActionEagerLoading

    public void setConventionActionEagerLoading(Boolean conventionActionEagerLoading)

  - ### getConventionResultFlatLayout

    public Boolean getConventionResultFlatLayout()

  - ### setConventionResultFlatLayout

    public void setConventionResultFlatLayout(Boolean conventionResultFlatLayout)

  - ### getConventionEnableSmiInheritance

    public Boolean getConventionEnableSmiInheritance()

  - ### setConventionEnableSmiInheritance

    public void setConventionEnableSmiInheritance(Boolean conventionEnableSmiInheritance)